/**
 * Season Changer
 * Copyright (c) 2024 NaNInf
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <https://www.gnu.org/licenses/>.
 */

[Setting hidden]
Season setting_menu_music = Season::Default;

[SettingsTab name="Menu music" icon="Music" order="1"]
void RenderMenuMusicSettings() {
    if (menu_music is null) return;

    Season setting = menu_music.RenderSettings(setting_menu_music);
    if (setting != setting_menu_music) {
        setting_menu_music = setting;
        menu_music.Update();
    }
}

[Setting hidden]
Season setting_menu_background = Season::Default;

[SettingsTab name="Menu background" icon="PictureO" order="2"]
void RenderMenuBackgroundSettings() {
    if (menu_background is null) return;

    Season setting = menu_background.RenderSettings(setting_menu_background);
    if (setting != setting_menu_background) {
        setting_menu_background = setting;
        menu_background.Update();
    }
}
