/**
 * Season Changer
 * Copyright (c) 2024 NaNInf
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <https://www.gnu.org/licenses/>.
 */

class TextureManager {
    UI::Texture@ default_icon;
    UI::Texture@ winter_icon;
    UI::Texture@ spring_icon;
    UI::Texture@ summer_icon;
    UI::Texture@ fall_icon;

    TextureManager() {
        @default_icon = UI::LoadTexture("assets/default.png");
        @winter_icon = UI::LoadTexture("assets/winter.png");
        @spring_icon = UI::LoadTexture("assets/spring.png");
        @summer_icon = UI::LoadTexture("assets/summer.png");
        @fall_icon = UI::LoadTexture("assets/fall.png");
    }

    UI::Texture@ GetTexture(Season season) {
        switch (season) {
            case Season::Winter:
                return winter_icon;
            case Season::Spring:
                return spring_icon;
            case Season::Summer:
                return summer_icon;
            case Season::Fall:
                return fall_icon;
            default:
                return default_icon;
        }
    }
}
